//
//  JCF Java Class File Manipulation Package (package lti.java.jcf)
//  Copyright (c) 1997 Matt T. Yourst. All rights reserved.
//
//  Version:  1.00.171
//  Date:     January through May 1997
//  Author:   Matt Yourst [yourst@laserstars.com]
//  Language: Java 1.1+
//

package lti.java.jcf;

import java.io.*;
import lti.java.jcf.RuntimeConstants;       

public class CptNameType extends CptGeneric implements RuntimeConstants
{
  public short nameIndex;
  public short signatureIndex;
  CptNameType(JcfClassInput ist, JcfConstantPool p, int i) throws IOException
  {
    super(ist, p, i);
    nameIndex = ist.readCPRef();
    signatureIndex = ist.readCPRef();
  }
  public void write (JcfClassOutput ost) throws IOException
  {
    ost.writeCPRef(nameIndex);
    ost.writeCPRef(signatureIndex);
  }
  public int getTag() { return CONSTANT_NAMEANDTYPE; }
}
